Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226917 - get latest release (1.18 2007-06-29) ONLY GPLv3 !!
Summary: get latest release (1.18 2007-06-29) ONLY GPLv3 !!
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: tar
Version: rawhide
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Radek Brich
QA Contact: Ben Levenson
URL: http://www.gnu.org/software/tar/
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-02 00:38 UTC by acount closed by user
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-07-02 08:48:51 UTC


Attachments (Terms of Use)

Description acount closed by user 2007-02-02 00:38:21 UTC
1.16.1 is latest release.


-thanks-

Comment 1 Peter Vrabec 2007-02-02 09:46:22 UTC
yeah, I know 1.15-1 is old.

I work on 1.16-1 upgrade.
http://people.redhat.com/pvrabec/rpms/tar-1.16.1-1.src.rpm
(it needs some spec file fixes like autoreconf in prep stage)

But we need to make sure 1.16-1 works with anaconda. And I got this response 
from anaconda maintainer(fenlason@redhat.com) 
"I seet a potential problem: there are no entries for directories in
the generated archive, so anyone attempting to restore will have to
reset permissions and ownership by hand. This is bad. . ."


Comment 2 Peter Vrabec 2007-02-07 09:46:56 UTC
there is a upgrade candidate, which fix the problem in comment #1.
http://people.redhat.com/pvrabec/rpms/tar-1.16.1-1.src.rpm

Comment 3 acount closed by user 2007-06-08 21:21:38 UTC
changelog tar-1.17 2007-06-08:

    *  Fix archivation of sparse files in posix mode. Previous versions padded
sparse members with spurious zero blocks.
    * Fix operation of --verify --listed-incremental. Version 1.16.1 produced a
full dump when both options were given.
    * Fix --occurence. In previous versions it continued scanning the archive
even though all requested members has already been extracted.
    * Scope of --transform and --strip-components options.

      In addition to affecting regular archive members, the --transform option
affects hard and symbolic link targets and the --strip-components option affects
hard link targets as well.
    * End-of-volume script can send the new volume name to tar by writing it to
the file descriptor stored in the environment variable TAR_FD (instead of
hard-coded descriptor number used in previous versions).

Comment 4 acount closed by user 2007-06-29 21:18:12 UTC
version 1.18 - Sergey Poznyakoff, 2007-06-29

* Licensed under the GPLv3

* Fixed several bugs in the testsuite


Comment 5 Radek Brich 2007-07-02 08:48:51 UTC
1.17 now built in devel

I hope it won't break other packages. Issue from comment #1 seems to be resolved
and I also created patch for wildcards bug #206841.

In 1.18, there really are no significant changes, just the GPLv3 thing.


Note You need to log in before you can comment on or make changes to this bug.